[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TColorButton.Notification

Performs actions when the specified component is added to or removed from the control.

## Declaration

Source position: dialogs.pp line 368

`protected procedure TColorButton.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed for the specified component.

## Description

Notification is an overridden method in TColorButton, and calls the inherited method on entry. It ensures that the ColorDialog property is set to Nil when AComponent and Operation indicate the dialog class instance has been removed from the control.